Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "voteSubscribe"
}{
"jsonrpc": "2.0",
"method": "voteNotification",
"params": {
"result": {
"hash": "8Rshv2oMkPu5E4opXTRyuyBeZBqQ4S477VG26wUTFxUM",
"slots": [
1,
2
],
"timestamp": 1625081266243,
"votePubkey": "B4XPNfLhqBSBV2R7avCaBk4JYeKZKbVLFvCKNMQf88Km"
},
"subscription": 0
}
}{
"jsonrpc": "2.0",
"id": 1,
"method": "voteSubscribe"
}{
"jsonrpc": "2.0",
"method": "voteNotification",
"params": {
"result": {
"hash": "8Rshv2oMkPu5E4opXTRyuyBeZBqQ4S477VG26wUTFxUM",
"slots": [
1,
2
],
"timestamp": 1625081266243,
"votePubkey": "B4XPNfLhqBSBV2R7avCaBk4JYeKZKbVLFvCKNMQf88Km"
},
"subscription": 0
}
}Websockets
Vote subscribe
Subscribe to vote transactions observed by the validator. Save the subscription ID returned in result and match it against params.subscription in notifications. Use voteUnsubscribe on the same connection to stop the stream.
WSS
/
Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "voteSubscribe"
}{
"jsonrpc": "2.0",
"method": "voteNotification",
"params": {
"result": {
"hash": "8Rshv2oMkPu5E4opXTRyuyBeZBqQ4S477VG26wUTFxUM",
"slots": [
1,
2
],
"timestamp": 1625081266243,
"votePubkey": "B4XPNfLhqBSBV2R7avCaBk4JYeKZKbVLFvCKNMQf88Km"
},
"subscription": 0
}
}{
"jsonrpc": "2.0",
"id": 1,
"method": "voteSubscribe"
}{
"jsonrpc": "2.0",
"method": "voteNotification",
"params": {
"result": {
"hash": "8Rshv2oMkPu5E4opXTRyuyBeZBqQ4S477VG26wUTFxUM",
"slots": [
1,
2
],
"timestamp": 1625081266243,
"votePubkey": "B4XPNfLhqBSBV2R7avCaBk4JYeKZKbVLFvCKNMQf88Km"
},
"subscription": 0
}
}api_key
type:httpApiKey
API key for authentication. Provide your Solana Tracker API key as a query parameter.
voteSubscribe
type:object
Subscribe to vote notifications
voteNotification
type:object
Vote notification
voteSubscribe
type:object
Subscribe to vote notifications
voteNotification
type:object
Vote notification
Was this page helpful?